package com.takensoft.ai_lms.lms.auth.dao;

import com.takensoft.ai_lms.lms.auth.vo.UserVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UsernameNotFoundException;

import java.util.Map;

/**
 * @author  : 방선주
 * @since   : 2024.07.12
 *
 * 사용자 관련 Mapper
 */
@Mapper("authDAO")
public interface AuthDAO {
    int insertUser(UserVO userVO) throws Exception;

    UserDetails findByUserIdSecurity(String loginId) throws UsernameNotFoundException;

    int insertAuth(Map<String, Object> authMap) throws Exception;
}

