package com.takensoft.ai_lms.lms.board.vo;


import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;


/**
 * @author  : 박세훈
 * since   : 2024.07.31
 *
 * 게시판에 등록된 파일 관련 VO
 */


@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class BoardFileVO {

    // 파일 아이디
    private String fileId;
    // 파일 관리 아이디
    private String fileMngId;
    // 파일명
    private String fileNm;
    // 마스크명
    private String fileEncptNm;
    // 절대 경로
    private String fileApath;
    // 상대 경로
    private String fileRpath;
    // 확장자
    private String fileExtn;
    // 파일 크기
    private String fileSz;
    // 파일 타입
    private String fileClsf;
    // 등록자
    private String reg;
    // 등록 일자
    private String regDt;
}
