package com.takensoft.ai_lms.lms.classes.dao;

import com.takensoft.ai_lms.lms.classes.vo.ClassVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author  : 정다정
 * @since   : 2024.07.25
 *
 * 반 관련 Mapper
 */
@Mapper()
public interface ClassDAO {
    // 반 조회
    public List<ClassVO> selectClass(String userId) throws Exception;

    // 반 생성
    public int insertClass(ClassVO classVO) throws Exception;

    // 반 수정
    public int updateClass(ClassVO classVO) throws Exception;

    // 반 삭체
    public int deleteClass(String sclsId) throws Exception;

    // 반 아이디(scls_id) 존재 확인
    public int existsClassById(String sclsId) throws Exception;
}
