package com.takensoft.ai_lms.lms.file.dao;


import com.takensoft.ai_lms.lms.file.vo.FileVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.HashMap;
import java.util.List;

/**
 * @author  : 홍아랑
 * since   : 2024.07.26
 *
 * 파일 관련 Mapper
 */

@Mapper("FileDAO")
public interface FileDAO {

    // 파일 정보 조회
    List<HashMap<String, Object>> findByFileId(HashMap<String, Object> params) throws Exception;

    /*
     * @author  : 박민혁
     * since   : 2024.08.01
     *
     * 파일 매니지 아이디 insert
     */
    void fileManageInsert(String fileMngId) throws Exception;

    /*
     * @author  : 박민혁
     * since   : 2024.08.01
     *
     * 파일 정보 insert
     */
    void fileInsert(FileVO fileVO) throws Exception;
}
