package com.takensoft.ai_lms.lms.photo.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author  : 김건택
 * @since   : 2024.07.25
 *
 * 사진 관련 VO
 */
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class PhotoVO {

    // 사진 아이디
    private String photoId;
    //사진첩 아이디
    private String photoMngId;
    // 등록 일자
    private String photoDate;
    // 좋아요 데이터
    private int likeData;
    // 단원 아이디
    private String unitId;
    //학생 아이디
    private String stdId;
    // 파일 관리 아이디
    private String fileMngId;

}
