package com.takensoft.ai_lms.lms.schedule.dao;

import com.takensoft.ai_lms.lms.schedule.vo.ScheduleVO;
import java.util.HashMap;
import java.util.List;

/**
 * @author  : 이은진
 * @since   : 2024.07.29
 *
 * 학습 일정 관련 Mapper
 */
public interface ScheduleDAO {
    //학습 일정 등록
    int insertSchedule(ScheduleVO scheduleVO) throws Exception;

    // 학습 일정 출력
    List<HashMap<String, Object>> selectSchedule(HashMap<String, Object> params) throws Exception;

    // 학습 일정 수정
    int scheduleUpdate(ScheduleVO scheduleVO) throws Exception;

    // 학습 일정 삭제
    int scheduleDelete(String scheduleID) throws Exception;
}
