package com.takensoft.ai_lms.lms.schedule.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author  : 이은진
 * since   : 2024.07.29
 *
 * 스케줄 관련 VO
 */

@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class ScheduleVO {
    // 학습 일정 아이디
    private String scheduleId;
    // 학습 날짜
    private String scheduleDt;
    // 학습 교시
    private String scheduleUnit;
    // 책 아이디
    private String bookId;
    // 학생 아이디
    private String stdId;
}