package com.takensoft.ai_lms.lms.student.service.Impl;

import com.takensoft.ai_lms.lms.student.dao.StudentInfoDAO;
import com.takensoft.ai_lms.lms.student.service.StudentInfoService;
import com.takensoft.ai_lms.lms.student.vo.StudentInfoVO;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author 권민수
 * @since 2024.07.25
 *
 * 학생 정보 관련 서비스
 */

@Service
@RequiredArgsConstructor
public class StudentInfoServiceImpl implements StudentInfoService {

    private final StudentInfoDAO studentInfoDAO;

    @Override
    public StudentInfoVO getStudentInfo(String userId) {
        return studentInfoDAO.getStudentInfo(userId);
    }

    @Override
    public void updateStudentQuestion(String userId, String studentQuestion) {
        studentInfoDAO.updateStudentQuestion(userId, studentQuestion);
    }
}
