package com.takensoft.ai_lms.lms.student.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author 권민수
 * @since 2024.07.25
 *
 * 학생 불러오는 정보 VO 클래스
 */

@Getter
@Setter
public class StudentInfoVO {

    private String studentName;
    private String institutionName;
    private int grade;
    private String className;
    private String studentQuestion;
    private int totalProblemsSolved;
    private List<HistoryVO> history;

}

