package com.takensoft.ai_lms.lms.survey.vo;


import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author  : 박세훈
 * since   : 2024.07.30
 *
 * 설문 조사 상세 정보 관련 VO
 */
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class SurveyDetailVO {

    // 설문 조사 상세 아이디
    private String srvyDtlId;

    // 설문 상세 항목
    private String srvyDtlCnt;

    // 설문 조사 아이디
    private String srvyId;
}
