package com.takensoft.ai_lms.lms.survey.vo;


import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;


/**
 * @author  : 박세훈
 * since   : 2024.07.29
 *
 * 설문 조사 관련 VO
 */
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class SurveyVO {

    // 설문 조사 아이디
    private String srvyId;

    // 설문 조사 종류
    private String srvyType;

    // 설문 내용
    private String srvyCnt;

    // 설문 조사 상세 정보 테이블과 연결
    private List<SurveyDetailVO> surveyDetail;
}
