package com.takensoft.ai_lms.lms.unit_learning.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author  : 구자현
 * @since   : 2024.07.26
 *
 * 로드맵 관련 VO
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class UnitLearningVO {
    // 학습 로드맵 아이디
    private String learning_id;

    // 단원 아이디
    private String unit_id;

    // 문제 아이디
    private String prblm_id;

    // 단어 관리 아이디
    private String wd_book_id;

    // 지문 아이디
    private String text_id;

    // 단원 평가 아이디
    private String eval_id;

    // 순서
    private int seq;
}
