package com.takensoft.ai_lms.lms.user_class.dao;

import com.takensoft.ai_lms.lms.user_class.vo.UserClassVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;

/**
 * @author 권민수
 * @since 2024.07.31
 *
 * 반별 학생 맵핑 DAO 인터페이스
 */

@Mapper("userClassDAO")
public interface UserClassDAO {

    // 유저 클래스 리스트 조회
    List<UserClassVO> getUserClasses();

    // 특정 유저 클래스 조회
    UserClassVO getUserClassById(UserClassVO userClass);

    // 유저 클래스 생성
    int insertUserClass(UserClassVO userClass);

    // 유저 클래스 수정
    int updateUserClass(UserClassVO userClass);

    // 유저 클래스 삭제
    int deleteUserClass(UserClassVO userClass);

}
