package com.takensoft.ai_lms.lms.user_class.service;

import com.takensoft.ai_lms.lms.user_class.vo.UserClassVO;

import java.util.List;

/**
 * @author 권민수
 * @since 2024.07.31
 *
 * 반별 학생 맵핑 Service 인터페이스
 */

public interface UserClassService {

    // 유저 클래스 리스트 조회
    List<UserClassVO> getUserClasses();

    // 특정 유저 클래스 조회
    UserClassVO getUserClassById(UserClassVO userClass);

    // 유저 클래스 생성
    void insertUserClass(UserClassVO userClass);

    // 유저 클래스 수정
    void updateUserClass(UserClassVO userClass);

    // 유저 클래스 삭제
    void deleteUserClass(UserClassVO userClass);

}
