package com.takensoft.ai_lms.lms.user_learning.dao;

import com.takensoft.ai_lms.lms.user_learning.vo.UserLearningVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

/**
 * @author  : 구자현
 * @since   : 2024.08.05
 *
 * 로드맵 상태 관련 Mapper
 */
@Mapper("userLearningDAO")
public interface UserLearningDAO {

    /**
     * @author  : 구자현
     * @since   : 2024.08.05
     *
     * 로드맵의 상태 정보
     */
    UserLearningVO getUserLearningStatus(String learning_id);

    /**
     * @author  : 구자현
     * @since   : 2024.08.05
     *
     * 로드맵 상태 추가
     */
    int insertUserLearning(UserLearningVO userLearningVO);

    /**
     * @author  : 구자현
     * @since   : 2024.08.05
     *
     * 로드맵 상태 변경
     */
    int updateUserLearning(UserLearningVO userLearningVO);

}
