package com.takensoft.ai_lms.common.idgen.dao;


import com.takensoft.ai_lms.common.idgen.vo.IdgenVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

/**
 * @author  :takensoft
 * @since   : 2024.04.01
 *
 * Idgen 관련 Mapper
 */
@Mapper
public interface IdgenMapper {

    /**
     * 테이블명으로 시퀀스 조회
     * @author takensoft
     * @since 2024.04.01
     */
    IdgenVO selectNextId(String tblNm);

    /**
     * 시퀀스 등록 및 수정
     * @author takensoft
     * @since 2024.04.01
     */
    void upsertSeqNmg(IdgenVO idgenVO);

}
