package com.takensoft.ai_lms.common.util;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import lombok.Getter;
import lombok.Setter;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class ErrorResponse {

    int status;
    String error;
    String message;
    String path;

    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    LocalDateTime timestamp;
    List<Error> errorList = new ArrayList<Error>();
}
