package com.takensoft.ai_lms.lms.auth.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * @author  : takensoft
 * @since   : 2024.04.01
 *
 * 로그인 관련 DTO
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class LoginDTO {
    /**
     * 로그인 아이디
     */
    @NotNull
    private String loginId;
    /**
     * 비밀번호
     */
    @NotNull
    private String password;
    /**
     * refreshToken 정보
     */
    private String refreshToken;
}
