package com.takensoft.ai_lms.lms.board.vo;


import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * @author  : 박세훈
 * since   : 2024.07.25
 *
 * 게시판 user 관련 VO
 */



@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class BoardUserVO {

    // 사용자 아이디
    private String userId;

    // 사용자 이름
    private String userNm;

    // 반 테이블과 연결
    private List<BoardClassVO> boardClass;
}
