package com.takensoft.ai_lms.lms.board.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;
import org.springmodules.validation.bean.conf.loader.annotation.handler.MaxSize;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;


/**
 * @author  : 박세훈
 * since   : 2024.07.25
 *
 * 게시판 관련 VO
 */



@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class BoardVO {

    // 게시판 아이디
    private String bbsId;
    // 게시판 제목
    private String bbsTtl;
    // 게시판 카테고리
    private String bbsCls;
    // 게시판 내용
    private String bbsCnt;
    // 게시판 등록 날짜
    private String bbsTm;
    // 반 아이디
    private String sclsId;
    // 파일 관리 아이디
    private String fileMngId;
    // 파일 테이블 연결
    private List<BoardFileVO> files;



}
