package com.takensoft.ai_lms.lms.class_book.dao;


import com.takensoft.ai_lms.lms.class_book.vo.ClassBookVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.HashMap;
import java.util.List;

/**
 * @author  : 박세훈
 * since   : 2024.07.29
 *
 *  class - book관련 Mapper
 */

@Mapper("classBookDAO")
public interface ClassBookDAO {

    // 교재 등록
    void registerBook(List<ClassBookVO> classBookVO) throws Exception;

    // 교재 삭제
    int deleteClassBook(ClassBookVO classBookVO) throws Exception;

    // 교재 조회
    List<HashMap<String, Object>> findByBookId(HashMap<String, Object> params) throws Exception;
}
