package com.takensoft.ai_lms.lms.classes.service;

import com.takensoft.ai_lms.lms.classes.vo.ClassVO;

import java.util.List;

/**
 * @author  : 정다정
 * since   : 2024.07.25
 *
 * 반 조회 관련 인터페이스
 */
public interface ClassService {
    // 반 조회
    public List<ClassVO> selectClass(String userId) throws Exception;

    // 반 생성
    public int insertClass(ClassVO classVO) throws Exception;

    // 반 수정
    public int updateClass(ClassVO classVO) throws Exception;

    // 반 삭제
    public int deleteClass(String sclsId) throws Exception;

    // 반 아이디(scls_id) 존재 확인
    boolean existsClassById(String sclsId) throws Exception;
}
