package com.takensoft.ai_lms.lms.eval_problem.dao;

import com.takensoft.ai_lms.lms.eval_problem.vo.EvalProblemVO;
import com.takensoft.ai_lms.lms.evaluation.vo.EvaluationVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

/**
 * @author 권지수
 * @since 2024.07.29
 *
 * 단원 평가 문제 DAO 클래스
 */

@Mapper("evalProblemDAO")
public interface EvalProblemDAO {

    /**
     * @author 권지수
     * @since 2024.07.29
     *
     * 단원 평가 문제 정보 입력
     */
    int insertEvalProblem(EvalProblemVO evalProblemVO) throws Exception;

    /**
     * @author 권지수
     * @since 2024.07.30
     *
     * 특정 단원의 문제 수 조회
     */
    int unitProblemNum(EvalProblemVO evalProblemVO) throws Exception;

    /**
     * @author 권지수
     * @since 2024.08.01
     *
     * 단원 평가에 등록된 문제 삭제
     */
    int deleteEvalProblem(EvalProblemVO evalProblemVO) throws Exception;
}
