package com.takensoft.ai_lms.lms.file.service;


import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;
import java.util.List;

/**
 * @author  : 홍아랑
 * since   : 2024.07.26
 *
 * 파일 관련 Service
 */
public interface FileService {
    // 파일 정보 조회
    List<HashMap<String, Object>> findByFileId(HashMap<String, Object> params) throws Exception;

    /*
     * @author  : 박민혁
     * since   : 2024.08.01
     *
     * 파일 업로드 기능 (파일 매니지 아이디 및 파일 정보 올리면서)
     */
    String fileUpload(MultipartFile[] files) throws Exception;

}
