package com.takensoft.ai_lms.lms.problem_log.dao;

import com.takensoft.ai_lms.lms.problem_log.vo.ProblemLogVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

/**
 * @author 권지수
 * @since 2024.08.01
 *
 * 문제 풀이 로그 DAO 클래스
 */

@Mapper("problemLogDAO")
public interface ProblemLogDAO {

    /**
     * @author 권지수
     * @since 2024.08.01
     *
     * 문제 풀이 로그 정보 입력
     */
    int insertProblemLog(ProblemLogVO problemLogVO) throws Exception;

    /**
     * @author 권지수
     * @since 2024.08.02
     *
     * 문제 풀이 로그 정보 수정
     */
    int updateProblemLog(ProblemLogVO problemLogVO) throws Exception;

    /**
     * @author 권지수
     * @since 2024.08.02
     *
     * 문제 풀이 로그 정보 삭제
     */
    int deleteProblemLog(ProblemLogVO problemLogVO) throws Exception;

    /**
     * @author 권지수
     * @since 2024.08.02
     *
     * 문제 풀이 로그 정보 조회
     */
    ProblemLogVO problemLogInfo(ProblemLogVO problemLogVO) throws Exception;
}
