package com.takensoft.ai_lms.lms.student.service;

import com.takensoft.ai_lms.lms.student.vo.StudentInfoVO;

/**
 * @author 권민수
 * @since 2024.07.25
 *
 * 학생 정보 관련 인터페이스
 */

public interface StudentInfoService {

    // 학생 정보 불러오기
    StudentInfoVO getStudentInfo(String userId);

    // 학생 질문 사항 수정하기
    void updateStudentQuestion(String userId, String studentQuestion);

}
