package com.takensoft.ai_lms.lms.test.service.Impl;

import com.takensoft.ai_lms.lms.test.dao.TestDAO;
import com.takensoft.ai_lms.lms.test.service.TestService;
import lombok.RequiredArgsConstructor;
import org.egovframe.rte.fdl.cmmn.EgovAbstractServiceImpl;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;

/**
 * @author 박민혁
 * @since 2024.07.06
 *
 * 테스트용 ServiceImpl 클래스
 */

@Service("testService")
@RequiredArgsConstructor
public class TestServiceImpl extends EgovAbstractServiceImpl implements TestService {

    private final TestDAO testDAO;

    /**
     * @author 박민혁
     * @since 2024.07.06
     *
     * 테스트용 데이터 조회
     */
    @Override
    public List<HashMap<String, Object>> testList() throws Exception {
        return testDAO.testList();
    }
}


