package com.takensoft.ai_lms.lms.text.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;


/**
 * @author  : 이은진
 * since   : 2024.07.26
 *
 * 지문 관련 VO
 */

@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class TextVO {

    // 지문 아이디
    private String textId;
    // 지문 제목
    private String textTtl;
    // 지문 내용
    private String textCnt;
    // 지문 url
    private String textUrl;
    // 등록일
    private String regDt;
    // 파일 관리 아이디
    private String fileMngId;
    // 유형 아이디
    private String textTypeId;
    // 사용자 아이디(선생님)
    private String userId;
    // 책 아이디
    private String bookId;
    // 단원 아이디
    private String unitId;

}
