package com.takensoft.ai_lms.lms.user_learning.service;

import com.takensoft.ai_lms.lms.user_learning.vo.UserLearningVO;

/**
 * @author  : 구자현
 * @since   : 2024.08.05
 *
 * 로드맵 상태 관련 Service 클래스
 */
public interface UserLearningService {

    /**
     * @author  : 구자현
     * @since   : 2024.08.05
     *
     * 로드맵의 상태 정보
     */
    UserLearningVO getUserLearningStatus(String learning_id);

    /**
     * @author  : 구자현
     * @since   : 2024.08.05
     *
     * 로드맵 상태 추가
     */
    int insertUserLearning(UserLearningVO userLearningVO);

    /**
     * @author  : 구자현
     * @since   : 2024.08.05
     *
     * 로드맵 상태 변경
     */
    int updateUserLearning(UserLearningVO userLearningVO);

}
