package com.takensoft.ai_lms.lms.user_unit.service;

import com.takensoft.ai_lms.lms.user_unit.vo.UserUnitVO;

import java.util.List;

/**
 * @author 권민수
 * @since 2024.08.02
 *
 * 사용자 학습 진행 정보 서비스 인터페이스
 */

public interface UserUnitService {

    // 유저 학습 정보 리스트 조회
    List<UserUnitVO> getUserUnits();

    // 특정 유저 학습 정보 조회
    UserUnitVO getUserUnitById(UserUnitVO userUnit);

    // 유저 학습 정보 생성
    void insertUserUnit(UserUnitVO userUnit);

    // 유저 학습 정보 수정
    void updateUserUnit(UserUnitVO userUnit);

    // 유저 학습 정보 삭제
    void deleteUserUnit(UserUnitVO userUnit);

}
