package com.takensoft.ai_lms.lms.word_book.dao;

import com.takensoft.ai_lms.lms.word_book.vo.WordVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;

/**
 * @author 권민수
 * @since 2024.07.30
 *
 * 단어 정보 DAO 클래스
 */

@Mapper("wordDAO")
public interface WordDAO {

    // 단어장에 해당하는 모든 단어 목록 조회
    List<WordVO> getWordsByBookId(String wdBookId);

    // 단어 등록
    void insertWord(WordVO word);

    // 단어 수정
    void updateWord(WordVO word);

    // 단어 삭제
    void deleteWord(String wdId);

    // String generateWordId();

}
